import ApiModel from "~/models/ApiModel";
import {Bool, Str, Uid} from "pinia-orm/dist/decorators";

/**
 * AP2i Model : Subdomain
 *
 * @see https://gitlab.2iopenservice.com/opentalent/ap2i/-/blob/develop/src/Entity/Organization/Subdomain.php
 */
export default class Subdomain extends ApiModel {
  static entity = 'subdomains'

  @Uid()
  declare id: number | string | null

  @Str(null)
  declare subdomain: string | null

  @Bool(false, { notNullable: true })
  declare active: boolean
}
